OpenapiUsers
Get user's directly assigned permissions
Returns permissions that were directly assigned to the user (not through roles). These are policies where the subject is the user_id itself. **Note**: This endpoint returns only direct permissions. For effective permissions (including those inherited from roles), use `/effective-permissions`.
Returns permissions that were directly assigned to the user (not through roles). These are policies where the subject is the user_id itself.
Note: This endpoint returns only direct permissions. For effective permissions
(including those inherited from roles), use /effective-permissions.
Path Parameters
userId*string
User ID
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/users/497f6eca-6276-4993-bfeb-53cbbbba6f08/permissions"{ "has_all": true, "permissions": [ "string" ]}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}